Skip to main content

Order notes

The order notes API allows you to create, view, and delete individual order notes.
Order notes are added by administrators and programmatically to store data about an order, or order events.

Order note properties

AttributeTypeDescription
idintegerUnique identifier for the resource. READ-ONLY
date_createddate-timeThe date the order note was created, in the site's timezone. READ-ONLY
notestringOrder note. REQUIRED
customer_notebooleanShows/define if the note is only for reference or for the customer (the user will be notified). Default is false.

Create an order note

This API helps you to create a new note for an order.

POST /wp-json/wc/v1/orders/<id>/notes
curl -X POST https://example.com/wp-json/wc/v1/orders/645/notes \
-u consumer_key:consumer_secret \
-H "Content-Type: application/json" \
-d '{
"note": "Order ok!!!"
}'

Retrieve an order note

This API lets you retrieve and view a specific note from an order.

GET /wp-json/wc/v1/orders/<id>/notes/<note_id>
curl https://example.com/wp-json/wc/v1/orders/645/notes/51 \
-u consumer_key:consumer_secret

List all order notes

This API helps you to view all the notes from an order.

GET /wp-json/wc/v1/orders/<id>/notes
curl https://example.com/wp-json/wc/v1/orders/645/notes \
-u consumer_key:consumer_secret

Delete an order note

This API helps you delete an order note.

DELETE /wp-json/wc/v1/orders/<id>/notes/<note_id>
curl -X DELETE https://example.com/wp-json/wc/v1/orders/645/notes/51?force=true \
-u consumer_key:consumer_secret

Available parameters

ParameterTypeDescription
forcestringRequired to be true, as resource does not support trashing.